package;


import flixel.FlxG;
import flixel.FlxSprite;

class EnemyBullet extends FlxSprite {

    static public var speed:Float = 150;

    public var damage:Int = 1;

    public function new(x:Float, y:Float) {
        super(x, y);
        loadGraphic("assets/images/enemy_bullet.png", true, 18, 18);
        antialiasing = false;

    }

    override public function update(elapsed:Float):Void {
        super.update(elapsed);

        if (FlxG.random.float() < 0.2 && !inWorldBounds()) {
            kill();
        }
    }


}